dkimsign(1)

NAME
dkimsign - Script for DKIM signing messages on stdin

VERSION
0.7.0

DESCRIPTION

dkimsign is a filter that reads an RFC822 message on standard input, and writes the same message on standard output with a DKIM-Signature line prepended.

USAGE

usage: dkimsign.py [-h] [--hcanon {simple,relaxed}]
                   [--bcanon {simple,relaxed}]
                   [--signalg {rsa-sha256,ed25519-sha256,rsa-sha1}]
                   [--identity IDENTITY]
                   selector domain privatekeyfile

mandatory positional arguments:
  selector
  domain
  privatekeyfile

optional arguments:
  -h, --help show this help message and exit
  --hcanon {simple,relaxed}
                        Header canonicalization algorithm: default=relaxed
  --bcanon {simple,relaxed}
                        Body canonicalization algorithm: default=simple
  --signalg {rsa-sha256,ed25519-sha256,rsa-sha1}
                        Signature algorithm: default=rsa-sha256
  --identity IDENTITY Optional value for i= tag.

AUTHORS
The original version of dkimsign was written by Greg Hewgill <greg@hewgill.com>. It has been substantially rewritten by Scott Kitterman <scott@kitterman.com>.

This man-page was created by Scott Kitterman <scott@kitterman.com> and is licensed under the same terms as dkimpy.